classification
Title: multiple lib and include directories on Linux
Type: behavior Stage: resolved
Components: Build, Distutils, Installation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: eric.araujo, iritkatriel, rpetrov, rpq, steve.dower, tarek
Priority: normal Keywords:

Created on 2012-02-07 16:16 by rpq, last changed 2021-02-03 18:03 by steve.dower. This issue is now closed.

Messages (4)
msg152812 - (view) Author: Ray (rpq) Date: 2012-02-07 16:16
I'm opening a new ticket based on ticket 13511 (http://bugs.python.org/issue13511) since the last one was closed.  Read ronaldoussoren's post in Ticket 13511 in case you're still confused. 

There is no way to specify multiple lib and include directories on Linux when installing Python 2.7; other versions of Python may be affected.
msg152815 - (view) Author: Roumen Petrov (rpetrov) * Date: 2012-02-07 21:45
hmm,  issue 13511 is perfectly closed as invalid.
Ray you misunderstood  meaning on configure flags --XXXdir.
You properly found that LDFLAGS is what is required bug correct for headers is CPPFLAGS . 
Is ./configure --help not clear for you ?
msg381180 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-11-16 23:16
I think the suggestion here is to replace "if MACOS:" with a condition that hold for "unixy" platforms. 
https://github.com/python/cpython/blob/master/setup.py#L805

(based on https://bugs.python.org/msg150788).
msg386231 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:03
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:03:24steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386231

resolution: out of date
stage: resolved
2020-11-16 23:16:18iritkatrielsetnosy: + iritkatriel

messages: + msg381180
versions: + Python 3.8, Python 3.9, Python 3.10, - Python 2.7
2012-02-07 21:45:05rpetrovsetnosy: + rpetrov
messages: + msg152815
2012-02-07 16:16:27rpqcreate